Subject: RE: [Sip] Local vs Remote ringback on 180

From: "Mark Watson" <[email-masked]>
Date: Fri, 14 Jun 2002 17:21:40 +0100

> > Unfortunately, such a workaround is not really applicable 
> to one class
> > of UACs for whom local ringing is quite important, namely 
> distributed
> > PSTN to SIP gateways (consisting of Media Gateways and a 
> Media Gateway
> > Controller as per Megaco model). This is because the 
> information about
> > presence/absence of actual RTP packets is only available at 
> the media
> > layer (MG) which does not make decisions for itself about 
> issues such
> > as tones/announcements/inband ringing.
> 
> That can be addressed pretty easily by defining the proper 
> event(s). The
> question is how robust this whole sceheme is in the first 
> place though.
> 

I don't think an 'RTP received' event from MG to MGC would be right
architecturally for this, even if you could solve the robustness issue. The
control layer should be aware of whether there is a media stream or not, and
if there is, then it should not care what is inside it - i.e. whether it is
'silent' (=no packets) or not (=packets).

i.e. I don't think we should attach control layer semantics to the contents
of the media stream.

...Mark

---

From: Flemming Andreasen <[email-masked]>
Date: Fri, 14 Jun 2002 13:10:52 -0400

Mark Watson wrote:

> architecturally for this, even if you could solve the robustness
> issue. The control layer should be aware of whether there is a media
> stream or not, and if there is, then it should not care what is inside
> it - i.e. whether it is 'silent' (=no packets) or not (=packets).
>
> i.e. I don't think we should attach control layer semantics to the
> contents of the media stream.

In its present form I agree, but it's been suggested more than once.
Also, there is the related issue of clipping which in itself is a good
reason for doing early media, but in some environments early media is
not seen as a positive (extra bw consumption, can't charge for it).

-- Flemming

> ...Mark

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip